<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>NrfBinaryStream</title>
<link href="../../../images/logo-icon.svg" rel="icon" type="image/svg"><script>var pathToRoot = "../../../";</script>    <script>const storage = localStorage.getItem("dokka-dark-mode")
const savedDarkMode = storage ? JSON.parse(storage) : false
if(savedDarkMode === true){
    document.getElementsByTagName("html")[0].classList.add("theme-dark")
}</script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script><link href="../../../styles/style.css" rel="Stylesheet"><link href="../../../styles/jetbrains-mono.css" rel="Stylesheet"><link href="../../../styles/main.css" rel="Stylesheet"><link href="../../../styles/prism.css" rel="Stylesheet"><link href="../../../styles/logo-styles.css" rel="Stylesheet"><script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script><script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script><script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script><script type="text/javascript" src="../../../scripts/main.js" async="async"></script><script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>  </head>
  <body>
    <div class="navigation-wrapper" id="navigation-wrapper">
      <div id="leftToggler"><span class="icon-toggler"></span></div>
      <div class="library-name"><a href="../../../index.html">bluconnect</a></div>
      <div></div>
      <div class="pull-right d-flex"><button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
      </div>
    </div>
    <div id="container">
      <div id="leftColumn">
        <div id="sideMenu"></div>
      </div>
      <div id="main"><script type="text/javascript" src="../../../scripts/main.js"></script>
        <div class="main-content" id="content" pageIds="bluconnect::com.aptener.bluconnect.app.device.sxota.usecase/NrfBinaryStream///PointingToDeclaration//-1410038383">
          <div class="breadcrumbs"><a href="../../../index.html">bluconnect</a>/<a href="../index.html">com.aptener.bluconnect.app.device.sxota.usecase</a>/<a href="index.html">NrfBinaryStream</a></div>
          <div class="cover ">
            <h1 class="cover"><span>Nrf</span><wbr></wbr><span>Binary</span><wbr></wbr><span><span>Stream</span></span></h1>
            <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">class </span><a href="index.html">NrfBinaryStream</a> <span><span class="token annotation">@</span><span data-unresolved-link="javax.inject/Inject///PointingToDeclaration/"><span class="token annotation">Inject</span></span> </span><span class="token keyword">constructor</span><span class="token punctuation">(</span>otaDataSource<span class="token operator">: </span><a href="../../com.aptener.bluconnect.repo/-ota-data-source/index.html">OtaDataSource</a><span class="token punctuation">, </span>context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a><span class="token punctuation">)</span> : <a href="../../com.aptener.bluconnect.common.usecase/-use-case/index.html">UseCase</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.device.ahcontrolota/-firmware-update/-firmware-update-state/index.html">FirmwareUpdate.FirmwareUpdateState</a><span class="token operator">&gt; </span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
          </div>
          <div class="tabbedcontent">
            <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="Functions">Functions</button><button class="section-tab" data-togglable="Properties">Properties</button></div>
            <div class="tabs-section-body">
              <h2 class="">Functions</h2>
              <div class="table" data-togglable="Functions"><a data-name="-1637033097%2FFunctions%2F-1410038383" anchor-label="setMacAddress" id="-1637033097%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="set-mac-address.html"><span>set</span><wbr></wbr><span>Mac</span><wbr></wbr><span><span>Address</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1637033097%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="set-mac-address.html"><span class="token function">setMacAddress</span></a><span class="token punctuation">(</span>macAddress<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">)</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="-1341687171%2FFunctions%2F-1410038383" anchor-label="startOta" id="-1341687171%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="start-ota.html"><span>start</span><wbr></wbr><span><span>Ota</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1341687171%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="start-ota.html"><span class="token function">startOta</span></a><span class="token punctuation">(</span>nrfOtaConfig<span class="token operator">: </span><a href="../../com.aptener.bluconnect.repo.model.ota/-nrf-ota-config/index.html">NrfOtaConfig</a><span class="token punctuation">)</span><span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines.flow/Flow///PointingToDeclaration/">Flow</span><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.common.usecase/-result/index.html">Result</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html">Unit</a><span class="token operator">&gt;</span><span class="token operator">&gt;</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="start-ota.html"><span class="token function">startOta</span></a><span class="token punctuation">(</span>macAddress<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">, </span>binaryPath<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a><span class="token punctuation">)</span><span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines.flow/Flow///PointingToDeclaration/">Flow</span><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.common.usecase/-result/index.html">Result</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html">Unit</a><span class="token operator">&gt;</span><span class="token operator">&gt;</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
<a data-name="1713626327%2FFunctions%2F-1410038383" anchor-label="subscribe" id="1713626327%2FFunctions%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="../../com.aptener.bluconnect.common.usecase/-use-case/subscribe.html"><span><span>subscribe</span></span></a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="1713626327%2FFunctions%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword"></span><span class="token keyword">fun </span><a href="../../com.aptener.bluconnect.common.usecase/-use-case/subscribe.html"><span class="token function">subscribe</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span><span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines.flow/Flow///PointingToDeclaration/">Flow</span><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.common.usecase/-result/index.html">Result</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.device.ahcontrolota/-firmware-update/-firmware-update-state/index.html">FirmwareUpdate.FirmwareUpdateState</a><span class="token operator">&gt;</span><span class="token operator">&gt;</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <h2 class="">Properties</h2>
              <div class="table" data-togglable="Properties"><a data-name="-1568291534%2FProperties%2F-1410038383" anchor-label="resultStateFlow" id="-1568291534%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a>
                <div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release">
                  <div class="main-subrow keyValue ">
                    <div class=""><span class="inline-flex"><a href="result-state-flow.html">resultStateFlow</a><span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1568291534%2FProperties%2F-1410038383"></span>
                          <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                        </span></span></div>
                    <div>
                      <div class="title">
                        <div class="platform-hinted " data-platform-hinted="data-platform-hinted" data-togglable="Properties"><div class="content sourceset-depenent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><a data-name="-1568291534%2FProperties%2F-1410038383" anchor-label="resultStateFlow" id="-1568291534%2FProperties%2F-1410038383" data-filterable-set=":bluconnect:dokkaHtml/release"></a><div class="symbol monospace"><span class="token keyword">open </span><span class="token keyword">override </span><span class="token keyword">val </span><a href="result-state-flow.html">resultStateFlow</a><span class="token operator">: </span><span data-unresolved-link="kotlinx.coroutines.flow/MutableStateFlow///PointingToDeclaration/">MutableStateFlow</span><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.common.usecase/-result/index.html">Result</a><span class="token operator">&lt;</span><span class="token keyword"></span><a href="../../com.aptener.bluconnect.device.ahcontrolota/-firmware-update/-firmware-update-state/index.html">FirmwareUpdate.FirmwareUpdateState</a><span class="token operator">&gt;</span><span class="token operator">&gt;</span><span class="top-right-position"><span class="copy-icon"></span><div class="copy-popup-wrapper popup-to-left"><span class="copy-popup-icon"></span><span>Content copied to clipboard</span></div></span></div></div></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="footer"><span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2022 Copyright</span><span class="pull-right"><span>Generated by </span><a href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span></div>
      </div>
    </div>
  </body>
</html>

